# dha-rating

This package is a React component to submit an app review and rating that saves to CosmosDB using the dha-rating-api with Azure Functions.

## Getting Started

#### Install

Install from npm:

- npm i dha-rating @mui/material @mui/lab @emotion/react @emotion/styled

#### CORS Access

- This package will work on localhost:3000. For any applications that are hosted or using a different URL please contact someone from the SDK team to allow CORS access.

#### Rating Component

Rating Props:

- appId: App id for application reviewed

Home.tsx - Functional component

```javascript
import { Rating } from 'dha-rating';
import React from 'react';

const Home: React.FC = () => <Rating appId="MoodTracker" />;

export default Home;
```

## Contribute

_see Github wiki_

## NPM

https://www.npmjs.com/package/dha-rating

## License

_pending_
