/// <reference types="react" />
/**
 * Rating Component Properties
 */
interface IRatingProps {
    /** App id for application reviewed */
    appId: string;
}
/**
 * Takes an appId and returns the rating in the form of a grid.
 * @param appId- The appId of the current rating
 * @returns The current rating in a grid form.
 */
declare const Rating: ({ appId }: IRatingProps) => JSX.Element;

export { Rating };
